# Uses of Class
org.apache.sysds.runtime.controlprogram.federated.monitoring.models.EventModel

Packages that use EventModel
Package
Description
org.apache.sysds.runtime.controlprogram.federated
org.apache.sysds.runtime.controlprogram.federated.monitoring.models

## Uses of EventModel in org.apache.sysds.runtime.controlprogram.federated

Fields in org.apache.sysds.runtime.controlprogram.federated with type parameters of type EventModel
Modifier and Type
Field
Description
`List<EventModel>`
FederatedStatistics.FedStatsCollection.`workerEvents`
Methods in org.apache.sysds.runtime.controlprogram.federated that return types with arguments of type EventModel
Modifier and Type
Method
Description
`static List<EventModel>`
FederatedStatistics.`getWorkerEvents()`
Methods in org.apache.sysds.runtime.controlprogram.federated with parameters of type EventModel
Modifier and Type
Method
Description
`static void`
FederatedStatistics.`addEvent(EventModel event)`

## Uses of EventModel in org.apache.sysds.runtime.controlprogram.federated.monitoring.models

Fields in org.apache.sysds.runtime.controlprogram.federated.monitoring.models with type parameters of type EventModel
Modifier and Type
Field
Description
`List<EventModel>`
StatisticsModel.`events`